Proxy SettingsClient - Settings

Update Proxy Config

Update the proxy configuration for the authenticated user.

PUT /api/v1/settings/proxy
import requests
 
headers = {
    "X-API-Token": "sk_live_replace_with_your_token",
}
 
response = requests.put(
    "https://api.fiscalbridge.cl/api/v1/settings/proxy",
    headers=headers,
)
response.raise_for_status()
print(response.json())

Update the proxy configuration for the authenticated user.

Allows users to configure how they connect to the SII:

  • centralized: Use ChileVenta's managed proxy pool (automatic rotation) - DEFAULT
  • individual: Bring Your Own Proxy (BYOP) - user provides their own proxy URL

Authentication: Required (any authenticated user)

Rate Limiting: Not rate-limited

Request Body:

  • mode: Required. Connection mode (centralized/individual)
  • proxy_url: Required only for mode=individual. Format: http://[user:pass@]host:port

Example Request (Centralized):

{
    "mode": "centralized"
}

Example Request (Individual Proxy):

{
    "mode": "individual",
    "proxy_url": "http://user:password@proxy.example.com:8080"
}

Example Response:

{
    "success": true,
    "data": {
        "mode": "individual",
        "proxy_url": "http://***:***@proxy.example.com:8080",
        "is_healthy": true,
        "last_check": null
    }
}

Cuerpo de la solicitud

Requerido. Content-Type: application/json.

{
  "mode": "centralized"
}

Respuestas

200Successful Response
422Validation Error

Forma de la respuesta

Código 200. Estructura del JSON devuelto.

{
  "data": {
    "is_healthy": true,
    "last_check": "2025-12-01T10:30:00Z",
    "mode": "centralized"
  },
  "message": "string",
  "success": true
}

On this page